Everytime I try to download something from modmyi I get http.//1.1.404 error any one else having this problem been going on for two days now or does anybody know how to fix it I'm a noob so detail would be great thanx in advance